# Class CAShellCmdStockRepositSerialNumberAdd

java.lang.Object
com.io7m.cardant.shell.internal.CAShellCmdAbstract
com.io7m.cardant.shell.internal.CAShellCmdAbstractCR<CAICommandStockReposit,CAIResponseStockReposit>
com.io7m.cardant.shell.internal.CAShellCmdStockRepositSerialNumberAdd

All Implemented Interfaces:
  `CAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class CAShellCmdStockRepositSerialNumberAdd extends CAShellCmdAbstractCR<CAICommandStockReposit,CAIResponseStockReposit>
"stock-reposit-serial-number-add"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAShellCmdStockRepositSerialNumberAdd(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.quarrel.core.QCommandStatus`
  `onExecute(com.io7m.quarrel.core.QCommandContextType context)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`

  ### Methods inherited from class com.io7m.cardant.shell.internal.CAShellCmdAbstractCR

  `completer`

  ### Methods inherited from class com.io7m.cardant.shell.internal.CAShellCmdAbstract

  `client, commandTimeout, formatter, loginTimeout, loginTracker, metadata, options, preferences, setCommandTimeoutRecent, setLoginTimeoutRecent, strings, terminal, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### CAShellCmdStockRepositSerialNumberAdd

    public CAShellCmdStockRepositSerialNumberAdd(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    Construct a command.
    Parameters:
      `inServices` - The context

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onExecute

    public com.io7m.quarrel.core.QCommandStatus onExecute(com.io7m.quarrel.core.QCommandContextType context) throws Exception
    Throws:
      `Exception`